---
title: "Historical contract: Find Channel of Event Rule"
description: "Historical Ordering.co API contract for GET /event_rules/{event_rule_id}/channels/{event_rule_channel_id}, kept for reference."
canonical: https://docs.ordering.co/api-reference/guides/history/find-channel-of-event-rule/
---

# Historical contract: Find Channel of Event Rule

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find Channel of Event Rule

This API endpoint is used to find channels of an event rule

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/event_rules/GET/event_rules/%7Bevent_rule_id%7D/channels/%7Bevent_rule_channel_id%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "event_rule_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "event_rule_channel_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 1,\n    \"channel\": \"sms\",\n    \"title\": \"Channel Event Rule\",\n    \"body\": \"Channel\",\n    \"webhook\": null,\n    \"enabled\": false,\n    \"event_rule_id\": 1\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "channel": {
                  "type": "string",
                  "example": "sms"
                },
                "title": {
                  "type": "string",
                  "example": "Channel Event Rule"
                },
                "body": {
                  "type": "string",
                  "example": "Channel"
                },
                "webhook": {},
                "enabled": {
                  "type": "boolean",
                  "example": false,
                  "default": true
                },
                "event_rule_id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {}
        }
      }
    }
  }
}
```
